ONVIF::PTZ::Types::Layout(3pm)

NAME
ONVIF::PTZ::Types::Layout

DESCRIPTION
Perl data type class for the XML Schema defined complexType Layout from the namespace http://www.onvif.org/ver10/schema.

A layout describes a set of Video windows that are displayed simultaniously on a display.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   PaneLayout

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::Layout
   PaneLayout =>  { # ONVIF::PTZ::Types::PaneLayout
     Pane => $some_value, # ReferenceToken
     Area => ,
   },
   Extension =>  { # ONVIF::PTZ::Types::LayoutExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL